{ lib
, config
, pkgs
, ...
}:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.metacfg.cli-apps.starship;
in
{
  options.metacfg.cli-apps.starship = {
    enable = mkEnableOption "starship";
  };

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      pkgs.nerd-fonts.fira-code
      pkgs.nerd-fonts.droid-sans-mono
      pkgs.nerd-fonts.jetbrains-mono
    ];
    programs.starship = {
      enable = true;
      settings = {
        shell.disabled = false;
        shell.fish_indicator = "";
        shell.bash_indicator = "";
        shell.unknown_indicator = "";
        container.format = "[\\[$name\\]]($style) ";
        git_status = {
          ahead = "⇡\${count}";
          diverged = "⇕⇡\${ahead_count}⇣\${behind_count}";
          behind = "⇣\${count}";
        };
      };
    };
  };
}
